=head1 NAME

Gtk2::PrintSettings

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::PrintSettings



=cut


=head1 METHODS

=head2 printsettings = Gtk2::PrintSettings-E<gt>B<new> 

=head2 printsettings = Gtk2::PrintSettings-E<gt>B<new_from_file> ($file_name)

=over

=item * $file_name (localized file name) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.12

=head2 printsettings = Gtk2::PrintSettings-E<gt>B<new_from_key_file> ($key_file, $group_name)

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string or undef) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.12

=head2 $settings-E<gt>B<foreach> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 string or undef = $settings-E<gt>B<get> ($key)

=over

=item * $key (string) 

=back

=head2 $settings-E<gt>B<set> ($key, $value)

=over

=item * $key (string) 

=item * $value (string or undef) 

=back

=head2 boolean = $settings-E<gt>B<has_key> ($key)

=over

=item * $key (string) 

=back

=head2 $settings-E<gt>B<load_file> ($file_name)

=over

=item * $file_name (string) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.14

=head2 $settings-E<gt>B<load_key_file> ($key_file, $group_name)

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string or undef) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.14

=head2 double = $settings-E<gt>B<get_printer_lpi> 

Since: gtk+ 2.16

=head2 $settings-E<gt>B<set_printer_lpi> ($lpi)

=over

=item * $lpi (double) 

=back

Since: gtk+ 2.16

=head2 integer = $settings-E<gt>B<get_resolution_x> 

Since: gtk+ 2.16

=head2 $settings-E<gt>B<set_resolution_xy> ($resolution_x, $resolution_y)

=over

=item * $resolution_x (integer) 

=item * $resolution_y (integer) 

=back

Since: gtk+ 2.16

=head2 integer = $settings-E<gt>B<get_resolution_y> 

Since: gtk+ 2.16

=head2 $settings-E<gt>B<to_file> ($file_name)

=over

=item * $file_name (localized file name) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.12

=head2 $settings-E<gt>B<to_key_file> ($key_file, $group_name)

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string or undef) 

=back

Since: gtk+ 2.12

=head2 $settings-E<gt>B<unset> ($key)

=over

=item * $key (string) 

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

